

Name:           digikam
Version:        8.2.0
Release:        %mkrel 1
Summary:        A KDE photo management utility
License:        GPLv2+
Group:          Graphics
Url:            http://www.digikam.org
BuildRequires:  kf5-macros
BuildRequires:  cmake
BuildRequires:  pkgconfig(Qt5Core)
BuildRequires:  pkgconfig(Qt5Widgets)
BuildRequires:  pkgconfig(Qt5Gui)
BuildRequires:  pkgconfig(Qt5Xml)
BuildRequires:  pkgconfig(Qt5XmlPatterns)
BuildRequires:  pkgconfig(Qt5Test)
BuildRequires:  pkgconfig(Qt5Sql)
BuildRequires:  pkgconfig(Qt5Svg)
BuildRequires:  pkgconfig(Qt5Concurrent)
BuildRequires:  pkgconfig(Qt5WebKitWidgets)

BuildRequires:  kparts-devel
BuildRequires:  kwallet-devel
BuildRequires:  khtml-devel
BuildRequires:  kconfig-devel
BuildRequires:  kitemmodels-devel
BuildRequires:  threadweaver-devel
BuildRequires:  ki18n-devel
BuildRequires:  kdewebkit-devel
BuildRequires:  knotifyconfig-devel
BuildRequires:  knotifications-devel
BuildRequires:  kio-devel
BuildRequires:  ktextwidgets-devel
BuildRequires:  kcoreaddons-devel
BuildRequires:  kwindowsystem-devel
BuildRequires:  solid-devel
BuildRequires:  kiconthemes-devel
BuildRequires:  kcalcore-devel

BuildRequires:  libmediawiki-devel
BuildRequires:  libksane-devel
BuildRequires:  libkvkontakte-devel

BuildRequires:  pkgconfig(sqlite3)
BuildRequires:  pkgconfig(libgphoto2)
BuildRequires:  pkgconfig(libusb)
BuildRequires:  pkgconfig(opencv) >= 3.0
BuildRequires:  pkgconfig(lcms2)
BuildRequires:  pkgconfig(lensfun)
BuildRequires:  pkgconfig(lqr-1) >= 0.4.0
#BuildRequires:  pkgconfig(libgpod-1.0)
BuildRequires:  pkgconfig(eigen3)
BuildRequires:  pkgconfig(exiv2)
BuildRequires:  pkgconfig(libxslt)
BuildRequires:  pkgconfig(libtiff-4)
BuildRequires:  pkgconfig(jasper)
BuildRequires:  boost-devel
BuildRequires:  imagemagick-devel
BuildRequires:  libgomp-devel
BuildRequires:  marble-devel
BuildRequires:  qtav-devel
BuildRequires:  flex
BuildRequires:  bison
BuildRequires:  doxygen
BuildRequires:  mysql-core
BuildRequires:  mysql-common
BuildRequires:  imagemagick
BuildRequires:  subversion-devel
BuildRequires:  lib64qt5networkauth-devel
Requires:       libkdcraw
Requires:       mysql-core
Requires:       mysql-common
Requires:       hugin
Requires:       marble
Requires:       sqlite3-tools
Requires:       lib64qt5-database-plugin-sqlite 

%description
DigiKam is an advanced digital photo management application for KDE.
Photos can be collected into albums which can be sorted chronologically,
by directory layout or by custom collections.
DigiKam also provides tagging functionality. Images can be tagged despite of
their position and digiKam provides fast and intuitive ways to browse them.
User comments and customized meta-information added to images, are stored
into a database and retrieved to make them available into the user interface.
As soon as the camera is plugged in digikam allows you to preview, download,
upload and delete images.
Digikam also includes tools like Image Editor, to modify photos using plugins
such as red eye correction or Gamma correction, exif management,...
Light Table to make artistic photos and an external image editor such
as Showfoto.
Digikam also uses KIPI plugins (KDE Image Plugin Interface) to increase
its functionalities.


%files -f %name.lang
%_kf5_bindir/digikam
%_kf5_bindir/digitaglinktree
%_kf5_bindir/cleanup_digikamdb
%_kf5_datadir/digikam
%_kf5_datadir/metainfo/org.kde.digikam.appdata.xml
%_kf5_datadir/solid/actions/digikam*.desktop
%_kf5_mandir/man1/digitaglinktree.1*
%_kf5_mandir/man1/cleanup_digikamdb.1*
%_kf5_iconsdir/*/*/apps/digikam.*
%_kf5_applicationdir/org.kde.digikam.desktop
%_kf5_datadir/kxmlgui5/digikam
%_kf5_knotificationsdir/digikam.notifyrc
%_kf5_iconsdir/*/*/*/expoblending.*
%_kf5_iconsdir/*/*/*/panorama.*
%_kf5_iconsdir/*/*/*/albumfolder*.*
%_kf5_iconsdir/*/*/*/overexposure.*
%_kf5_iconsdir/*/*/*/tag*.*
%_kf5_iconsdir/*/*/*/underexposure.*
%_kf5_iconsdir/*/*/*/dk-box.*
%_kf5_iconsdir/*/*/*/dk-dropbox.*
%_kf5_iconsdir/*/*/*/dk-flickr.*
%_kf5_iconsdir/*/*/*/dk-googledrive.*
%_kf5_iconsdir/*/*/*/dk-googlephoto.*
%_kf5_iconsdir/*/*/*/dk-imageshack.*
%_kf5_iconsdir/*/*/*/dk-imgur.*
%_kf5_iconsdir/*/*/*/dk-mediawiki.*
%_kf5_iconsdir/*/*/*/dk-onedrive.*
%_kf5_iconsdir/*/*/*/dk-pinterest.*
%_kf5_iconsdir/*/*/*/dk-piwigo.*
%_kf5_iconsdir/*/*/*/dk-rajce.*
%_kf5_iconsdir/*/*/*/dk-smugmug.*
%_kf5_iconsdir/*/*/*/dk-inat.*
%_kf5_iconsdir/*/*/*/avplayer.*

%_kf5_libdir/*.so.*
%_libdir/qt5/plugins/digikam/
#-----------------------------------------------------------------------

%package -n     showfoto
Summary:        Fast Image Editor
Group:          Graphics
Requires:       libkdcraw

%description -n showfoto
Showfoto is a fast Image Editor with powerful image editing tools.
You can use it to view your photographs and improve them.

%files -n showfoto
%_kf5_bindir/showfoto
%_kf5_datadir/kxmlgui5/showfoto
%_kf5_datadir/showfoto
%_kf5_iconsdir/*/*/apps/showfoto.*
%_kf5_applicationsdir/org.kde.showfoto.desktop
%_kf5_datadir/metainfo/org.kde.showfoto.appdata.xml
#-----------------------------------------------------------------------

%package devel
Summary:        Static libraries and headers for %name
Group:          Development/Libraries
Provides:       %name-devel = %version-%release
Requires:       %name = %version-%release
Obsoletes:      lib64digikam-devel
Provides:       lib64digikam-devel = %version-%release


%description devel
%libnamedev contains the libraries and header files needed to
develop programs which make use of %name.
The library documentation is available on header files.

%files devel
%_kf5_libdir/*.so
%_includedir
%_libdir/cmake
#-----------------------------------------------------------------------

%prep


%build
pushd %_sourcedir
wget -nc https://download.kde.org/stable/digikam/%{version}/digiKam-%{version}.tar.xz
tar -xJf digiKam-%{version}.tar.xz -C %_builddir
popd

pushd %_builddir/digikam-%{version}

%autopatch -p1

%cmake_kf5 -DDIGIKAMSC_CHECKOUT_PO=ON -DDIGIKAMSC_COMPILE_PO=ON \
           -DDIGIKAMSC_CHECKOUT_DOC=OFF -DDIGIKAMSC_COMPILE_DOC=OFF \
           -DENABLE_MEDIAPLAYER=ON \
           -DENABLE_MYSQLSUPPORT=ON \
           -DENABLE_INTERNALMYSQL=ON \
           -DENABLE_QWEBENGINE:BOOL=ON \
           -DSSE4_1_FOUND=OFF
           
%make_build
popd

%install
pushd %_builddir/digikam-%{version}
%make_install -C build
popd

%find_lang %name


%changelog
* Thu Nov 30 2023 tex - 8.2.0-1pclos2023
- new version
